#include "ballTask.hpp"
#include "TopDefine.h"
#include "FreeRTOS.h"
#include "userTask.h"
#include <cmsis_os2.h>
#include "ball.hpp"
#include "remote_control.h"
#include "vofa.h"
extern RC_ctrl_t rc_ctrl;
Ball ball;


extern int speedm;

void FunctionBall(void *argument)
{
    (void)argument; /* 未使用argument，消除警告 */

    const uint32_t delay_tick = osKernelGetTickFreq() / TASK_FREQ_BALL;
	
	  osDelay(6000);//等待极致控制板启动
    XiaomiWait_init(1,&hcan2); //小米电机初始化
    
    uint32_t tick = osKernelGetTickCount();
		
    while(1)
    {
#ifdef DEBUG
     task_struct.stack_water_mark.ball = osThreadGetStackSpace(osThreadGetId());  
#endif          
      ball.rc_mode(); // 遥控器模式  
    
      ball.ball_control(); // 控制球的动作    

    tick += delay_tick; /* 计算下一个唤醒时刻 */
    osDelayUntil(tick);
    
    }
}
